# QAugmentedRealityCameraItem Class Reference

List of all members.

## Public Types

enum | Roles { MessageRole = Qt::UserRole+1, LatitudeRole = Qt::UserRole+2, LongitudeRole = Qt::UserRole+3, InfoBoxRole = Qt::UserRole+4, SourceRole = Qt::UserRole+5 }

## Signals

void | dataChanged ()

## Public Member Functions

| QAugmentedRealityCameraItem (QDeclarativeItem *parent=0)
QVariant | data (int role) const
QHash< int, QByteArray > | roleNames () const
QString | id () const
float | latitude () const
float | longitude () const
QString | message () const
QString | infoBox () const
QString | source () const
void | setLatitude (float value)
void | setLongitude (float value)
void | setMessage (QString message)
void | setInfoBox (QString infoBox)
void | setSource (QString source)
float | x () const
float | y () const
float | z () const
QAugmentedRealityPositionInfo | relativePosition (QGeoCoordinate, float angle)

## Properties

float | latitude
float | longitude
QString | message
QString | infoBox
QString | source
float | x
float | y
float | z

The documentation for this class was generated from the following file:

- qaugmentedrealitycameraitem.h

All Classes Functions